Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.api.config
Interface TaskHistoryProvider

    public interface TaskHistoryProvider

Describes an assignment algorithm that can be used to assign a task of a given type to users as candidates for claiming the task. This algorithm may optionally choose to claim the task in the name of a designated candidate user. Implementations of this interface MUST provide a public default (no arg) constructor. Implementations must make no assumptions about the lifecycle of their instances nor their relationship to other instances. Lifecycle is controlled entirely via the initialize() and destroy() methods.

Method Summary
`void` | `destroy()` Release any resources obtained in the call to initialize or calls to getTaskHistory().
`TaskHistory` | `getTaskHistory(String taskId)` Get the task history for the given task id.
`void` | `initialize()` Initialize this instance in preparation for calls on getTaskHistory()
`void` | `setProperties(Property[] props)` Set any properties that were configured with this task history provider handler.

Method Detail

### setProperties

    void setProperties(Property[] props)

  Set any properties that were configured with this task history provider handler. Note that the value should be obtained from the default value of the provided properties.

  Parameters:
    `props` -

### initialize

    void initialize()
                    throws ManagementException

  Initialize this instance in preparation for calls on getTaskHistory()

  Throws:
    `ManagementException` - if any error occurs that would prevent this instance from properly handling calls to getTaskHistory()

### getTaskHistory

    TaskHistory getTaskHistory(String taskId)
                               throws AssignmentException,
                                      ManagementException

  Get the task history for the given task id.

  Parameters:
    `taskId` -
  Returns:
  Throws:
    `AssignmentException`
    `ManagementException`

### destroy

    void destroy()
                 throws ManagementException

  Release any resources obtained in the call to initialize or calls to getTaskHistory().

  Throws:
    `ManagementException` - If any error occurs releasing resources.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD